package ajcon.custom.util.elements;

import java.util.ArrayList;
import java.util.List;

public class CJavaSourceCode {
    private List<CCodeline> CCodeline;
    private List<CSeperator> CSeperator;

    private String name;
    private String id;

    public CJavaSourceCode(){
        CCodeline = new ArrayList<CCodeline>();
        CSeperator = new ArrayList<CSeperator>();

        name = null;
        id = null;
    }

    public List<CCodeline> getCCodeline() {
        return CCodeline;
    }

    public void setCCodeline(List<CCodeline> CCodeline) {
        this.CCodeline = CCodeline;
    }

    public List<CSeperator> getCSeperator() {
        return CSeperator;
    }

    public void setCSeperator(List<CSeperator> CSeperator) {
        this.CSeperator = CSeperator;
    }

    public void addCSeperator(CSeperator cc){
        this.CSeperator.add(cc);
    }

    public void addCCodeline(CCodeline cc){
        this.CCodeline.add(cc);
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    
}
